diff -pruN 2.11.0+dfsg-3/debian/changelog 2.11.0+dfsg-4/debian/changelog
--- 2.11.0+dfsg-3/debian/changelog	2018-01-25 09:57:42.000000000 +0000
+++ 2.11.0+dfsg-4/debian/changelog	2020-04-23 08:02:17.000000000 +0000
@@ -1,3 +1,11 @@
+jhdf (2.11.0+dfsg-4) unstable; urgency=medium
+
+  [ Emmanuel Bourg ]
+  * Team upload.
+  * Fixed the build failure with Java 9 (Closes: #875584)
+
+ -- Giovanni Mascellani <gio@debian.org>  Thu, 23 Apr 2020 10:02:17 +0200
+
 jhdf (2.11.0+dfsg-3) unstable; urgency=medium
 
   * Team upload.
diff -pruN 2.11.0+dfsg-3/debian/patches/java9-compatibility.patch 2.11.0+dfsg-4/debian/patches/java9-compatibility.patch
--- 2.11.0+dfsg-3/debian/patches/java9-compatibility.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.11.0+dfsg-4/debian/patches/java9-compatibility.patch	2020-04-23 08:02:17.000000000 +0000
@@ -0,0 +1,25 @@
+--- a/configure.in
++++ b/configure.in
+@@ -479,8 +479,6 @@
+     JAVACLASSPATH_FOUND=1
+     JAVALIB=$JL/jre/lib
+     AC_SUBST(JAVALIB) JAVALIB=""
+-  else
+-     AC_MSG_ERROR(cannot find jdk classes in JDK lib path.)
+   fi
+ fi
+ fi
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -393,9 +393,9 @@
+ install-javadocs:
+ 	-mkdir -p $(DOCDIR)/javadocs;
+ 	@if test x'$(H45INC)' != x'' ; then \
+-	$(JAVADOC) -sourcepath $(CLASSPATH) -d $(DOCDIR)/javadocs $(JAVADOC_FLAGS) $(JH45PACKAGES) ncsa.hdf.hdflib $(JHI5PACKAGES) $(HDFOBJPACKAGES); \
++	$(JAVADOC) -sourcepath $(CLASSPATH) -classpath /usr/share/java/slf4j-api.jar -d $(DOCDIR)/javadocs $(JAVADOC_FLAGS) $(JH45PACKAGES) ncsa.hdf.hdflib $(JHI5PACKAGES) $(HDFOBJPACKAGES); \
+ 	else \
+-	$(JAVADOC) -sourcepath $(CLASSPATH) -d $(DOCDIR)/javadocs $(JAVADOC_FLAGS) ncsa.hdf.hdflib $(JHI5PACKAGES) $(HDFOBJPACKAGES); \
++	$(JAVADOC) -sourcepath $(CLASSPATH) -classpath /usr/share/java/slf4j-api.jar -d $(DOCDIR)/javadocs $(JAVADOC_FLAGS) ncsa.hdf.hdflib $(JHI5PACKAGES) $(HDFOBJPACKAGES); \
+ 	fi
+ 	-mkdir -p $(DOCDIR)/javadocs/resources;
+ 	cp docs/javadocs/resources/*.gif $(DOCDIR)/javadocs/resources;
diff -pruN 2.11.0+dfsg-3/debian/patches/series 2.11.0+dfsg-4/debian/patches/series
--- 2.11.0+dfsg-3/debian/patches/series	2018-01-25 09:57:42.000000000 +0000
+++ 2.11.0+dfsg-4/debian/patches/series	2020-04-23 08:02:17.000000000 +0000
@@ -12,8 +12,8 @@ z_missing_shared_flag.diff
 z_nc2-fits-disabled.diff
 z_sharedOptMissing5.diff
 z_sharedOptMissing.diff
-source1.5.diff
 
 slf4j.diff
 javadocImages.diff
 iconsRelativePath.diff
+java9-compatibility.patch
diff -pruN 2.11.0+dfsg-3/debian/patches/source1.5.diff 2.11.0+dfsg-4/debian/patches/source1.5.diff
--- 2.11.0+dfsg-3/debian/patches/source1.5.diff	2018-01-25 09:57:42.000000000 +0000
+++ 2.11.0+dfsg-4/debian/patches/source1.5.diff	1970-01-01 00:00:00.000000000 +0000
@@ -1,13 +0,0 @@
-Index: jhdf-2.11.0+dfsg/config/Rules.mk
-===================================================================
---- jhdf-2.11.0+dfsg.orig/config/Rules.mk
-+++ jhdf-2.11.0+dfsg/config/Rules.mk
-@@ -36,7 +36,7 @@ CURRENTDIR = .
- JAR_DIR=$(CLASS_DIR)
- OUT_DIR=$(CLASS_DIR)/$(DIR)
- 
--JFLAGS= -g -deprecation -d $(CLASS_DIR)	-classpath $(CP)
-+JFLAGS= -source 1.5 -target 1.5 -g -deprecation -d $(CLASS_DIR)	-classpath $(CP)
- RMICFLAGS= -g -d $(CLASS_DIR)
- JARFLAGS = cfm
- 
